--[[
in this file write 'initworld' as the string that the first map plays
fill 'baseinclude' with any files you always want to require in your lua scripts
'luapaths' will be an array with any search paths you want to give lua (same format as the package.paths string)
'spritepaths' same deal for finding sprites
'texpaths' same deal with map textures
'mappaths' same deal with maps
--]]

initworld = 'level1.world'

-- TODO - move these to the standard: sprites and tex
spritepaths:insert('data/images')
texpaths:insert('data/images')

baseinclude:append{
	'data.scripts.player',
	'base.scripts.clientview',
	'data.scripts.doomguy',
	'data.scripts.dudbomb',
	'data.scripts.intangir',
	'data.scripts.items',
	'data.scripts.mario',
	'data.scripts.megaman',
	'data.scripts.thwamp',
	'data.scripts.vanillaice',
	'data.scripts.weapons',
	'data.scripts.misc'
}

