require 'topview.scripts.commondb'

-- item database
-- seeing this makes me want to write some generic binary lua io
-- and put this in a file or in C++ somewhere ... or sql?  absurd...

equipFlags = {
"Terra ";
"Locke ";
"Cyan  ";
"Shadow";
"Edgar ";
"Sabin ";
"Celes ";
"Strago";
"Relm  ";
"Setzer";
"Mog   ";
"Gau   ";
"Gogo  ";
"Umaro ";
};
itemTypes = {
"tool";
"weapon";
"armor";
"shield";
"helm";
"relic";
"item";
};
itemMapFlags = {
"charm bangle";
"moogle charm";
"uncharted";
"uncharted";
"uncharted";
"sprint shoes";
"uncharted";
"tintabar";
};
itemStatUpFlags = {
"atlas armlet -   ups Fight Damage";
"earrings -       ups Magic Damage";
"red cap -        ups HP by 25%";
"muscle belt -    ups HP by 50%";
"green beret -    ups HP a little";
"minerva -        ups Mag Def";
"crystal orb -    ups MP by 50%";
"bards hat -      ups MP a little";
};
itemBattleFlags = {
"gale hairpin -   raises pre-emptive attack rate";
"back guard -     prevents back-attacks";
"dragoon boots -  changes 'fight' to 'jump'";
"gem box -        changes 'magic' to 'x magic'";
"fake mustache -  changes 'sketch' to 'control'";
"coin toss -      changes 'slot' to 'gp rain'";
"thief glove -    changes 'steal' to 'capture'";
"dragon horn -    makes jump x4";
};
itemSuccessRateFlags = {
"sneak ring -     raises sucess rate of 'steal'";
"uncharted";
"beret -          raises sucess rate of 'sketch'";
"coronet -        raises sucess rate of 'control'";
"sniper sight -   100% hit rate";
"gold hairpin -   halves MP consumed";
"economizer -     spells only cost 1";
"Hyper Wrist -    ups vigor by 50%";
};
itemRelicFlags = {
"offering -       makes attack x4";
"black belt -     randomally counterattacks";
"beads -          randomally evades an enemy's attacks";
"gauntlet -       one weapon can be held w/2 hands";
"genji glove -    two weapons can be held at once";
"merit award -    allows heavy armor to be equipped";
"true knight -    protects party members who are low on HP";
"0c - 80";
};
itemRelic2Flags = {
"barrier ring -   casts 'shell' when HP is low";
"mithril glove -  casts 'safe' when HP is low";
"0d - 04";
"exp. egg -       doubles experience gained";
"cat hood -       picks up all possible GP";
"0d - 20";
"0d - 40";
"relic ring -     makes body cold";
};
itemByte13Flags = {
"protection from mortal blows";
"runic";
"13 - 04";
"13 - 08";
"13 - 10";
"same damage from back row";
"2 hands";
"swdtech";
};
itemEvadeImage = {
"none";
"none";
"none";
"none";
"weapon 1";
"weapon 2";
"shield";
"cape";
};
itemWeaponAddedEffects = {
"nothing";
"randomally steals";
"transforms at level up, grows as HP increases";
"randomally dispatches an enemy";
"double damage to humans";
"absorbs damage as HP";
"absorbs damage as MP";
"uses MP for mortal blow";
"whatever a hawk eye does ???";
"dice - what dice do";
"gains power as HP decreases";
"randomally casts 'wind slash'";
"heals person";
"randomally dices up an enemy";
"uses MP for mortal blow, may break";
"uses MP for mortal blow";
};
itemTargetFlags = {
"user picks";
"can't change party";
"/ 00 = unit, 01 = group";
"\\ 10 = all, 11 = party";
"auto confirm";
"can toggle group";
"start on enemy";
"roulette";
};
items = {
{ name="Dirk"; equipFlags=38875; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=26; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=150; };
{ name="Mithril Knife"; equipFlags=38875; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=30; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=300; };
{ name="Guardian"; equipFlags=32770; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; evadeImage=4; targetFlags=65; attack=59; hitchance=180; vigor=0; speed=4; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Air Lancet"; equipFlags=37250; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=76; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=16; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=950; };
{ name="ThiefKnife"; equipFlags=32778; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; evadeImage=4; weaponAddedEffects=1; targetFlags=65; attack=88; hitchance=180; vigor=0; speed=3; stamina=0; magicAttack=0; evade=10; magicEvade=10; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Assassin"; equipFlags=32778; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; evadeImage=4; weaponAddedEffects=3; targetFlags=65; attack=106; hitchance=180; vigor=0; speed=3; stamina=0; magicAttack=2; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Man Eater"; equipFlags=37851; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; evadeImage=4; weaponAddedEffects=4; targetFlags=65; attack=146; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=10; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=11000; };
{ name="SwordBreaker"; equipFlags=37258; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; evadeImage=4; targetFlags=65; attack=164; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=30; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=16000; };
{ name="Graedus"; equipFlags=38875; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; evadeImage=4; targetFlags=65; attack=204; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=32; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="ValiantKnife"; equipFlags=32770; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=192; evadeImage=4; weaponAddedEffects=10; targetFlags=65; attack=145; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="MithrilBlade"; equipFlags=32851; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; targetFlags=65; attack=38; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=450; };
{ name="RegalCutlass"; equipFlags=32849; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; targetFlags=65; attack=54; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=800; };
{ name="Rune Edge"; equipFlags=32849; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; evadeImage=5; weaponAddedEffects=7; targetFlags=65; attack=55; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=7500; };
{ name="Flame Sabre"; equipFlags=32851; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; casts=0; castsOnAttack=true; targetFlags=65; attack=108; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=2; evade=0; magicEvade=0; elemHalfFlags=1; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=7000; };
{ name="Blizzard"; equipFlags=32851; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; casts=1; castsOnAttack=true; targetFlags=65; attack=108; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=2; evade=0; magicEvade=0; elemHalfFlags=2; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=7000; };
{ name="ThunderBlade"; equipFlags=32851; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; casts=2; castsOnAttack=true; targetFlags=65; attack=108; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=2; evade=0; magicEvade=0; elemHalfFlags=4; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=7000; };
{ name="Epee"; equipFlags=32849; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; targetFlags=65; attack=98; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Break Blade"; equipFlags=32849; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; casts=12; castsOnAttack=true; targetFlags=65; attack=117; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=12000; };
{ name="Drainer"; equipFlags=32851; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; evadeImage=5; weaponAddedEffects=5; targetFlags=65; attack=121; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Enhancer"; equipFlags=32849; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; evadeImage=5; targetFlags=65; attack=135; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=7; evade=0; magicEvade=20; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=10000; };
{ name="Crystal"; equipFlags=32849; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; targetFlags=65; attack=167; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=15000; };
{ name="Falchion"; equipFlags=32851; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; evadeImage=5; targetFlags=65; attack=176; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=17000; };
{ name="Soul Sabre"; equipFlags=32851; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; evadeImage=5; weaponAddedEffects=6; casts=13; castsOnAttack=true; targetFlags=65; attack=125; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Ogre Nix"; equipFlags=32849; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; weaponAddedEffects=14; targetFlags=65; attack=182; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Excalibur"; equipFlags=32851; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; evadeImage=5; targetFlags=65; attack=217; hitchance=150; vigor=2; speed=2; stamina=1; magicAttack=1; evade=20; magicEvade=0; elemHalfFlags=32; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Scimitar"; equipFlags=32853; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; weaponAddedEffects=13; targetFlags=65; attack=208; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Illumina"; equipFlags=32851; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=226; evadeImage=5; weaponAddedEffects=7; casts=14; castsOnAttack=true; targetFlags=65; attack=255; hitchance=255; vigor=7; speed=7; stamina=7; magicAttack=7; evade=50; magicEvade=50; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Ragnarok"; equipFlags=32851; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; evadeImage=5; weaponAddedEffects=7; casts=15; castsOnAttack=true; targetFlags=65; attack=255; hitchance=150; vigor=7; speed=3; stamina=7; magicAttack=7; evade=30; magicEvade=30; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2;  colItemNameHidden=true;};
{ name="Atma Weapon"; equipFlags=83; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; weaponAddedEffects=2; targetFlags=65; attack=255; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Mithril Pike"; equipFlags=33808; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=70; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=800; };
{ name="Trident"; equipFlags=33808; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=93; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=128; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1700; };
{ name="Stout Spear"; equipFlags=33808; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=112; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=10000; };
{ name="Partisan"; equipFlags=33808; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=150; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=13000; };
{ name="Pearl Lance"; equipFlags=33808; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; casts=14; castsOnAttack=true; targetFlags=65; attack=194; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=3; evade=0; magicEvade=0; elemHalfFlags=32; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Gold Lance"; equipFlags=33808; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=139; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=12000; };
{ name="Aura Lance"; equipFlags=33808; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=227; hitchance=180; vigor=3; speed=2; stamina=1; magicAttack=3; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Imp Halberd"; equipFlags=57343; impItem=true; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=253; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Imperial"; equipFlags=32776; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=82; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=600; };
{ name="Kodachi"; equipFlags=32776; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=93; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1200; };
{ name="Blossom"; equipFlags=32776; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=112; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=16; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3200; };
{ name="Hardened"; equipFlags=32776; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=121; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Striker"; equipFlags=32776; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; weaponAddedEffects=3; targetFlags=65; attack=190; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2;  colItemNameHidden=true;};
{ name="Stunner"; equipFlags=32776; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; casts=32; castsOnAttack=true; targetFlags=65; attack=220; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Ashura"; equipFlags=32772; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; targetFlags=65; attack=57; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500; };
{ name="Kotetsu"; equipFlags=32772; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; targetFlags=65; attack=66; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=800; };
{ name="Forged"; equipFlags=32772; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; targetFlags=65; attack=81; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1200; };
{ name="Tempest"; equipFlags=32772; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; weaponAddedEffects=11; targetFlags=65; attack=101; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=16; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=8000; };
{ name="Murasame"; equipFlags=32772; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; evadeImage=5; targetFlags=65; attack=110; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=9000; };
{ name="Aura"; equipFlags=32772; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; targetFlags=65; attack=162; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Strato"; equipFlags=32772; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; targetFlags=65; attack=199; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Sky Render"; equipFlags=32772; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=194; evadeImage=5; targetFlags=65; attack=215; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=20; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Heal Rod"; equipFlags=37248; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=64; weaponAddedEffects=12; targetFlags=1; attack=200; hitchance=255; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Mithril Rod"; equipFlags=37248; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=64; targetFlags=65; attack=60; hitchance=135; vigor=0; speed=0; stamina=0; magicAttack=2; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500; };
{ name="Fire Rod"; equipFlags=37248; itemType=2; canThrow=false; useInBattle=true; useInMenu=false; byte13Flags=64; casts=5; castsOnAttack=true; castsAsItem=true; targetFlags=105; attack=79; hitchance=135; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=1; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Ice Rod"; equipFlags=37248; itemType=2; canThrow=false; useInBattle=true; useInMenu=false; byte13Flags=64; casts=6; castsOnAttack=true; castsAsItem=true; targetFlags=105; attack=79; hitchance=135; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=2; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Thunder Rod"; equipFlags=37248; itemType=2; canThrow=false; useInBattle=true; useInMenu=false; byte13Flags=64; casts=7; castsOnAttack=true; castsAsItem=true; targetFlags=105; attack=79; hitchance=135; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=4; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Poison Rod"; equipFlags=37248; itemType=2; canThrow=true; useInBattle=true; useInMenu=false; byte13Flags=64; casts=3; castsOnAttack=true; castsAsItem=true; targetFlags=65; attack=86; hitchance=135; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=8; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1500; };
{ name="Pearl Rod"; equipFlags=37248; itemType=2; canThrow=true; useInBattle=true; useInMenu=false; byte13Flags=64; casts=14; castsOnAttack=true; castsAsItem=true; targetFlags=65; attack=124; hitchance=135; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=32; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=12000; };
{ name="Gravity Rod"; equipFlags=37248; itemType=2; canThrow=true; useInBattle=true; useInMenu=false; byte13Flags=64; casts=17; castsOnAttack=true; castsAsItem=true; targetFlags=65; attack=120; hitchance=135; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=64; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=13000; };
{ name="Punisher"; equipFlags=37248; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=64; weaponAddedEffects=7; targetFlags=65; attack=111; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Magus Rod"; equipFlags=37248; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=192; targetFlags=65; attack=168; hitchance=135; vigor=0; speed=0; stamina=0; magicAttack=7; evade=0; magicEvade=30; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Chocobo Brsh"; equipFlags=33024; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=64; targetFlags=65; attack=60; hitchance=135; vigor=0; speed=0; stamina=0; magicAttack=1; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=600; };
{ name="DaVinci Brsh"; equipFlags=33024; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=64; targetFlags=65; attack=100; hitchance=135; vigor=0; speed=1; stamina=0; magicAttack=1; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=7000; };
{ name="Magical Brsh"; equipFlags=33024; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=64; targetFlags=65; attack=130; hitchance=135; vigor=0; speed=1; stamina=1; magicAttack=1; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=10000; };
{ name="Rainbow Brsh"; equipFlags=33024; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=64; targetFlags=65; attack=146; hitchance=135; vigor=1; speed=2; stamina=1; magicAttack=2; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Shuriken"; equipFlags=0; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=65; attack=86; hitchance=230; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=30; };
{ name="Ninja Star"; equipFlags=0; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=65; attack=132; hitchance=230; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500; };
{ name="Tack Star"; equipFlags=0; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=65; attack=190; hitchance=230; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Flail"; equipFlags=37313; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=96; targetFlags=65; attack=86; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2000; };
{ name="Full Moon"; equipFlags=32770; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=65; attack=95; hitchance=230; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2500; };
{ name="Morning Star"; equipFlags=37313; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=96; targetFlags=65; attack=109; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=5000; };
{ name="Boomerang"; equipFlags=32770; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=65; attack=102; hitchance=230; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=4500; };
{ name="Rising Sun"; equipFlags=32770; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=65; attack=117; hitchance=230; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Hawk Eye"; equipFlags=32770; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; weaponAddedEffects=8; targetFlags=65; attack=111; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=6000; };
{ name="Bone Club"; equipFlags=8192; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=64; targetFlags=65; attack=151; hitchance=150; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=20000; };
{ name="Sniper"; equipFlags=32770; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; weaponAddedEffects=8; targetFlags=65; attack=172; hitchance=180; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=15000; };
{ name="Wing Edge"; equipFlags=32770; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; weaponAddedEffects=3; targetFlags=65; attack=198; hitchance=230; vigor=7; speed=7; stamina=1; magicAttack=2; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Cards"; equipFlags=33280; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=65; attack=104; hitchance=230; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1000; };
{ name="Darts"; equipFlags=33280; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=65; attack=115; hitchance=230; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=10000; };
{ name="Doom Darts"; equipFlags=33280; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; casts=13; castsOnAttack=true; targetFlags=65; attack=187; hitchance=230; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Trump"; equipFlags=33280; itemType=2; canThrow=true; useInBattle=false; useInMenu=false; byte13Flags=32; weaponAddedEffects=3; targetFlags=65; attack=133; hitchance=230; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=13000; };
{ name="Dice"; equipFlags=33280; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=32; weaponAddedEffects=9; targetFlags=65; attack=1; hitchance=2; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=5000; };
{ name="Fixed Dice"; equipFlags=33280; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=32; weaponAddedEffects=9; targetFlags=65; attack=1; hitchance=3; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="MetalKnuckle"; equipFlags=32800; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=65; attack=55; hitchance=200; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500; };
{ name="Mithril Claw"; equipFlags=32800; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=65; attack=65; hitchance=200; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=800; };
{ name="Kaiser"; equipFlags=32800; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=65; attack=83; hitchance=200; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=32; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1000; };
{ name="Poison Claw"; equipFlags=32800; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; casts=3; castsOnAttack=true; targetFlags=65; attack=95; hitchance=200; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=8; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2500; };
{ name="Fire Knuckle"; equipFlags=32800; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; casts=0; castsOnAttack=true; targetFlags=65; attack=122; hitchance=200; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=1; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=10000; };
{ name="Dragon Claw"; equipFlags=32800; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=65; attack=188; hitchance=200; vigor=2; speed=0; stamina=0; magicAttack=1; evade=0; magicEvade=0; elemHalfFlags=32; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Tiger Fangs"; equipFlags=32800; itemType=2; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=65; attack=215; hitchance=200; vigor=3; speed=2; stamina=2; magicAttack=3; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Buckler"; equipFlags=40959; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; evadeImage=6; targetFlags=0; defense=16; magicDefense=10; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=200; };
{ name="Heavy Shld"; equipFlags=33367; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; evadeImage=6; targetFlags=0; defense=22; magicDefense=14; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=400; };
{ name="Mithril Shld"; equipFlags=40959; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; evadeImage=6; targetFlags=0; defense=27; magicDefense=18; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1200; };
{ name="Gold Shld"; equipFlags=34389; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; evadeImage=6; targetFlags=0; defense=34; magicDefense=23; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2500; };
{ name="Aegis Shld"; equipFlags=40959; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; evadeImage=6; evadeExtraFlag=true; targetFlags=0; defense=46; magicDefense=52; vigor=0; speed=0; stamina=0; magicAttack=0; evade=20; magicEvade=40; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Diamond Shld"; equipFlags=33365; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; evadeImage=6; targetFlags=0; defense=40; magicDefense=27; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3500; };
{ name="Flame Shld"; equipFlags=40959; itemType=4; canThrow=false; useInBattle=true; useInMenu=false; evadeImage=6; spellLearned=5; spellLearnRate=5; casts=9; castsAsItem=true; targetFlags=105; defense=41; magicDefense=28; vigor=0; speed=0; stamina=0; magicAttack=0; evade=20; magicEvade=10; elemHalfFlags=0; elemAbsorbFlags=1; elemNoEffectFlags=2; elemWeakFlags=128; price=2; };
{ name="Ice Shld"; equipFlags=40959; itemType=4; canThrow=false; useInBattle=true; useInMenu=false; evadeImage=6; spellLearned=6; spellLearnRate=5; casts=10; castsAsItem=true; targetFlags=105; defense=42; magicDefense=28; vigor=0; speed=0; stamina=0; magicAttack=0; evade=20; magicEvade=10; elemHalfFlags=0; elemAbsorbFlags=2; elemNoEffectFlags=1; elemWeakFlags=16; price=2; };
{ name="Thunder Shld"; equipFlags=40959; itemType=4; canThrow=false; useInBattle=true; useInMenu=false; evadeImage=6; spellLearned=7; spellLearnRate=5; casts=11; castsAsItem=true; targetFlags=105; defense=43; magicDefense=28; vigor=0; speed=0; stamina=0; magicAttack=0; evade=20; magicEvade=10; elemHalfFlags=3; elemAbsorbFlags=4; elemNoEffectFlags=16; elemWeakFlags=0; price=2; };
{ name="Crystal Shld"; equipFlags=33365; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; evadeImage=6; targetFlags=0; defense=50; magicDefense=34; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=7000; };
{ name="Genji Shld"; equipFlags=40959; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; evadeImage=6; evadeExtraFlag=true; targetFlags=0; defense=54; magicDefense=50; vigor=0; speed=0; stamina=0; magicAttack=0; evade=20; magicEvade=20; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="TortoiseShld"; equipFlags=57343; impItem=true; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; evadeImage=6; spellLearned=35; spellLearnRate=1; targetFlags=0; defense=66; magicDefense=66; vigor=0; speed=0; stamina=0; magicAttack=0; evade=30; magicEvade=30; elemHalfFlags=0; elemAbsorbFlags=128; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Cursed Shld"; equipFlags=40959; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; ailmentsGivenFlags=121; targetFlags=0; defense=0; magicDefense=0; vigor=-7; speed=-7; stamina=-7; magicAttack=-7; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=207; price=2; };
{ name="Paladin Shld"; equipFlags=40959; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=1; evadeImage=6; evadeExtraFlag=true; spellLearned=20; spellLearnRate=1; targetFlags=0; defense=59; magicDefense=59; vigor=0; speed=0; stamina=0; magicAttack=0; evade=40; magicEvade=40; elemHalfFlags=0; elemAbsorbFlags=39; elemNoEffectFlags=216; elemWeakFlags=0; price=2; };
{ name="Force Shld"; equipFlags=40959; itemType=4; canThrow=false; useInBattle=false; useInMenu=false; attributeFlags=32; evadeImage=2; evadeExtraFlag=true; spellLearned=37; spellLearnRate=5; targetFlags=0; defense=0; magicDefense=70; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=50; elemHalfFlags=215; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Leather Hat"; equipFlags=40959; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=11; magicDefense=7; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=50; };
{ name="Hair Band"; equipFlags=321; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=12; magicDefense=8; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=150; };
{ name="Plumed Hat"; equipFlags=40959; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=14; magicDefense=9; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=250; };
{ name="Beret"; equipFlags=33024; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; successRateFlags=4; targetFlags=0; defense=21; magicDefense=21; vigor=0; speed=0; stamina=0; magicAttack=3; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3500; };
{ name="Magus Hat"; equipFlags=38337; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=15; magicDefense=16; vigor=0; speed=0; stamina=0; magicAttack=5; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=600; };
{ name="Bandana"; equipFlags=35171; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=16; magicDefense=10; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=800; };
{ name="Iron Helmet"; equipFlags=35415; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=18; magicDefense=12; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1000; };
{ name="Coronet"; equipFlags=33024; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; successRateFlags=8; targetFlags=0; defense=23; magicDefense=23; vigor=0; speed=2; stamina=0; magicAttack=4; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Bard's Hat"; equipFlags=40959; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; statUpFlags=128; targetFlags=0; defense=19; magicDefense=21; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=10; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Green Beret"; equipFlags=40959; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; statUpFlags=16; targetFlags=0; defense=19; magicDefense=13; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Head Band"; equipFlags=35886; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=16; magicDefense=10; vigor=3; speed=1; stamina=2; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1600; };
{ name="Mithril Helm"; equipFlags=39519; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=20; magicDefense=13; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2000; };
{ name="Tiara"; equipFlags=321; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=22; magicDefense=20; vigor=0; speed=0; stamina=0; magicAttack=2; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Gold Helmet"; equipFlags=33877; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=22; magicDefense=15; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=4000; };
{ name="Tiger Mask"; equipFlags=34848; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=21; magicDefense=13; vigor=3; speed=2; stamina=1; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2500; };
{ name="Red Cap"; equipFlags=40959; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; statUpFlags=4; targetFlags=0; defense=24; magicDefense=17; vigor=4; speed=3; stamina=2; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Mystery Veil"; equipFlags=321; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=24; magicDefense=25; vigor=0; speed=1; stamina=0; magicAttack=3; evade=0; magicEvade=10; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=5500; };
{ name="Circlet"; equipFlags=40959; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=25; magicDefense=19; vigor=2; speed=1; stamina=3; magicAttack=4; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=7000; };
{ name="Regal Crown"; equipFlags=48; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=28; magicDefense=23; vigor=1; speed=1; stamina=1; magicAttack=1; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Diamond Helm"; equipFlags=33365; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=27; magicDefense=18; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=8000; };
{ name="Dark Hood"; equipFlags=39978; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=26; magicDefense=17; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=7500; };
{ name="Crystal Helm"; equipFlags=33361; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=29; magicDefense=19; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=10000; };
{ name="Oath Veil"; equipFlags=321; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=32; magicDefense=31; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=9000; };
{ name="Cat Hood"; equipFlags=256; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; relicFlags2=16; targetFlags=0; defense=33; magicDefense=33; vigor=0; speed=2; stamina=0; magicAttack=4; evade=10; magicEvade=10; elemHalfFlags=119; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2;  colItemNameHidden=true;};
{ name="Genji Helmet"; equipFlags=40959; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=36; magicDefense=38; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Thornlet"; equipFlags=40959; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; ailmentsGivenFlags=64; targetFlags=0; defense=38; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Titanium"; equipFlags=57343; impItem=true; itemType=5; canThrow=false; useInBattle=false; useInMenu=false; spellLearned=35; spellLearnRate=1; targetFlags=0; defense=42; magicDefense=42; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=128; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Leather Armor"; equipFlags=40927; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=28; magicDefense=19; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=150; };
{ name="Cotton Robe"; equipFlags=37249; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=32; magicDefense=21; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=200; };
{ name="Kung Fu Suit"; equipFlags=34858; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=34; magicDefense=23; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=250; };
{ name="Iron Armor"; equipFlags=33367; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=40; magicDefense=27; vigor=0; speed=-2; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=700; };
{ name="Silk Robe"; equipFlags=38337; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=39; magicDefense=29; vigor=0; speed=0; stamina=0; magicAttack=1; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=600; };
{ name="Mithril Vest"; equipFlags=40959; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=45; magicDefense=30; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1200; };
{ name="Ninja Gear"; equipFlags=39466; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=47; magicDefense=32; vigor=0; speed=2; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1100; };
{ name="White Dress"; equipFlags=321; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=47; magicDefense=35; vigor=0; speed=0; stamina=0; magicAttack=5; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2200; };
{ name="Mithril Mail"; equipFlags=33367; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=51; magicDefense=34; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3500; };
{ name="Gaia Gear"; equipFlags=40939; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=53; magicDefense=43; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=64; elemNoEffectFlags=0; elemWeakFlags=0; price=6000; };
{ name="Mirage Vest"; equipFlags=40959; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; ailmentsGivenFlags=4; targetFlags=0; defense=48; magicDefense=36; vigor=0; speed=6; stamina=0; magicAttack=0; evade=0; magicEvade=10; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Gold Armor"; equipFlags=34389; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=55; magicDefense=37; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=10000; };
{ name="Power Sash"; equipFlags=34862; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=52; magicDefense=35; vigor=5; speed=1; stamina=5; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=5000; };
{ name="Light Robe"; equipFlags=37248; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=60; magicDefense=43; vigor=0; speed=0; stamina=0; magicAttack=2; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=11000; };
{ name="Diamond Vest"; equipFlags=40575; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=65; magicDefense=44; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=12000; };
{ name="Red Jacket"; equipFlags=32816; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=78; magicDefense=55; vigor=5; speed=2; stamina=4; magicAttack=1; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=1; elemWeakFlags=0; price=2; };
{ name="Force Armor"; equipFlags=33367; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=69; magicDefense=68; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=30; elemHalfFlags=87; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Diamond Armor"; equipFlags=33365; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=70; magicDefense=47; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=15000; };
{ name="Dark Gear"; equipFlags=39466; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=68; magicDefense=46; vigor=0; speed=6; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=13000; };
{ name="Tao Robe"; equipFlags=37248; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=68; magicDefense=50; vigor=0; speed=0; stamina=0; magicAttack=5; evade=0; magicEvade=10; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=13000; };
{ name="Crystal Mail"; equipFlags=33367; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=72; magicDefense=49; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=17000; };
{ name="Czarina Gown"; equipFlags=256; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=70; magicDefense=64; vigor=1; speed=2; stamina=2; magicAttack=3; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Genji Armor"; equipFlags=33375; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=90; magicDefense=80; vigor=5; speed=3; stamina=2; magicAttack=3; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Imp's Armor"; equipFlags=57343; impItem=true; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; spellLearned=35; spellLearnRate=1; targetFlags=0; defense=100; magicDefense=100; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=128; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Minerva"; equipFlags=65; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; statUpFlags=32; targetFlags=0; defense=88; magicDefense=70; vigor=1; speed=2; stamina=1; magicAttack=4; evade=0; magicEvade=10; elemHalfFlags=232; elemAbsorbFlags=0; elemNoEffectFlags=23; elemWeakFlags=0; price=2; };
{ name="Tabby Suit"; equipFlags=384; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=54; magicDefense=36; vigor=2; speed=2; stamina=2; magicAttack=2; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=8; elemWeakFlags=0; price=2; };
{ name="Chocobo Suit"; equipFlags=384; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=56; magicDefense=38; vigor=3; speed=6; stamina=2; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=8; elemWeakFlags=0; price=2; };
{ name="Moogle Suit"; equipFlags=384; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=58; magicDefense=52; vigor=0; speed=0; stamina=0; magicAttack=5; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=8; elemWeakFlags=0; price=2; };
{ name="Nutkin Suit"; equipFlags=384; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=86; magicDefense=67; vigor=0; speed=7; stamina=0; magicAttack=3; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="BehemothSuit"; equipFlags=384; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=94; magicDefense=73; vigor=6; speed=6; stamina=6; magicAttack=6; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Snow Muffler"; equipFlags=11264; itemType=3; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=128; magicDefense=90; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=10; elemHalfFlags=1; elemAbsorbFlags=2; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="NoiseBlaster"; equipFlags=0; itemType=1; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=106; attack=0; hitchance=255; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500; };
{ name="Bio Blaster"; equipFlags=0; itemType=1; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=106; attack=0; hitchance=255; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=750; };
{ name="Flash"; equipFlags=0; itemType=1; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=106; attack=0; hitchance=255; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1000; };
{ name="Chain Saw"; equipFlags=0; itemType=1; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=67; attack=252; hitchance=255; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2000; };
{ name="Debilitator"; equipFlags=0; itemType=1; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=67; attack=0; hitchance=255; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=5000; };
{ name="Drill"; equipFlags=0; itemType=1; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=67; attack=191; hitchance=255; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Air Anchor"; equipFlags=0; itemType=1; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=67; attack=128; hitchance=255; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="AutoCrossbow"; equipFlags=0; itemType=1; canThrow=false; useInBattle=false; useInMenu=false; byte13Flags=32; targetFlags=106; attack=125; hitchance=255; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=250; };
{ name="Fire Skean"; equipFlags=0; itemType=7; canThrow=true; useInBattle=false; useInMenu=false; targetFlags=110; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500; };
{ name="Water Edge"; equipFlags=0; itemType=7; canThrow=true; useInBattle=false; useInMenu=false; targetFlags=110; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500; };
{ name="Bolt Edge"; equipFlags=0; itemType=7; canThrow=true; useInBattle=false; useInMenu=false; targetFlags=110; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500; };
{ name="Inviz Edge"; equipFlags=0; itemType=7; canThrow=true; useInBattle=false; useInMenu=false; targetFlags=2; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=200; };
{ name="Shadow Edge"; equipFlags=0; itemType=7; canThrow=true; useInBattle=false; useInMenu=false; targetFlags=2; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=4; elemNoEffectFlags=0; elemWeakFlags=0; price=400; };
{ name="Goggles"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; effectPreventFlags=1; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500; };
{ name="Star Pendant"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; effectPreventFlags=4; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500; };
{ name="Peace Ring"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; attributePreventFlags=48; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Amulet"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; effectPreventFlags=7; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=5000; };
{ name="White Cape"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; effectPreventFlags=32; attributePreventFlags=8; targetFlags=0; defense=5; magicDefense=5; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=10; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=5000; };
{ name="Jewel Ring"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; effectPreventFlags=64; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1000; };
{ name="Fairy Ring"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; effectPreventFlags=5; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1500; };
{ name="Barrier Ring"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags2=1; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=2; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500; };
{ name="MithrilGlove"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags2=2; targetFlags=0; defense=6; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=700; };
{ name="Guard Ring"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; attributeFlags=64; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=5000; };
{ name="RunningShoes"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; attributeFlags=8; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=7000; };
{ name="Wall Ring"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; attributeFlags=128; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=6000; };
{ name="Cherub Down"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; attributeFlags=1; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=6300; };
{ name="Cure Ring"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; attributeFlags=2; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=8000; };
{ name="True Knight"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags=64; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1000; };
{ name="DragoonBoots"; equipFlags=8191; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; battleFlags=4; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=9000; };
{ name="Zephyr Cape"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; evadeImage=7; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=10; magicEvade=10; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=7000; };
{ name="Czarina Ring"; equipFlags=321; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags2=3; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Cursed Ring"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; ailmentsGivenFlags=1; spellLearned=18; spellLearnRate=5; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Earrings"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; statUpFlags=2; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=5000; };
{ name="Atlas Armlet"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; statUpFlags=1; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=5000; };
{ name="Blizzard Orb"; equipFlags=8192; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=5; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=2; elemNoEffectFlags=1; elemWeakFlags=0; price=2; };
{ name="Rage Ring"; equipFlags=8192; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; targetFlags=0; defense=0; magicDefense=0; vigor=5; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=1; elemNoEffectFlags=4; elemWeakFlags=0; price=2; };
{ name="Sneak Ring"; equipFlags=4098; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; successRateFlags=1; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=5; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Pod Bracelet"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; attributeFlags=96; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Hero Ring"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; statUpFlags=3; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Ribbon"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; effectPreventFlags=103; attributePreventFlags=248; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Muscle Belt"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; statUpFlags=8; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Crystal Orb"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; statUpFlags=64; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Gold Hairpin"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; successRateFlags=32; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Economizer"; equipFlags=8191; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; successRateFlags=64; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Thief Glove"; equipFlags=4098; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; battleFlags=64; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Gauntlet"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags=8; targetFlags=0; defense=5; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Genji Glove"; equipFlags=8191; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags=16; targetFlags=0; defense=5; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Hyper Wrist"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; successRateFlags=128; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=8000; };
{ name="Offering"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags=1; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Beads"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags=4; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=20; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=4000; };
{ name="Black Belt"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags=2; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=5000; };
{ name="Coin Toss"; equipFlags=4608; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; battleFlags=32; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="FakeMustache"; equipFlags=4352; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; battleFlags=16; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Gem Box"; equipFlags=8191; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; battleFlags=8; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Dragon Horn"; equipFlags=8191; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; battleFlags=128; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Merit Award"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags=32; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2;  colItemNameHidden=true;};
{ name="Memento Ring"; equipFlags=264; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; effectPreventFlags=194; byte13Flags=1; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Safety Bit"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; effectPreventFlags=194; byte13Flags=1; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Relic Ring"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags2=128; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Moogle Charm"; equipFlags=1024; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; mapFlags=2; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Charm Bangle"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; mapFlags=1; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Marvel Shoes"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; attributeFlags=106; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Back Guard"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; battleFlags=2; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=7000; };
{ name="Gale Hairpin"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; battleFlags=1; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=8000; };
{ name="Sniper Sight"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; successRateFlags=16; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=3000; };
{ name="Exp. Egg"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; relicFlags2=8; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Tintinabar"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; mapFlags=128; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Sprint Shoes"; equipFlags=16383; itemType=6; canThrow=false; useInBattle=false; useInMenu=false; mapFlags=32; targetFlags=0; defense=0; magicDefense=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1500; };

{ name="Rename Card"; equipFlags=0; itemType=7; canThrow=false; useInBattle=false; useInMenu=true; targetFlags=3; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Tonic"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=10; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=50;
	onUse = function(item, target, attacker)
		target:giveHP(50)
	end;
};
{ name="Potion"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=10; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=300;
	onUse = function(item, target, attacker)
		target:giveHP(50)
	end;
};
{ name="X-Potion"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=138; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2;
	onUse = function(item, target, attacker)
		target:giveHP(target:getStat('maxHP'))
	end;
};
{ name="Tincture"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=16; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=1500;
	onUse = function(item, target, attacker)
		target:giveMP(50)
	end;
};
{ name="Ether"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=16; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2;
	onUse = function(item, target, attacker)
		target:giveMP(150)
	end;
};
{ name="X-Ether"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=144; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2;
	onUse = function(item, target, attacker)
		target:giveMP(target:getStat('maxMP'))
	end;
};
{ name="Elixir"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=154; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2;
	onUse = function(item, target, attacker)
		target:giveHP(target:getStat('maxHP'))
		target:giveMP(target:getStat('maxMP'))
	end;
};
{ name="Megalixir"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=false; byte13Flags=154; targetFlags=46; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2;
	onUse = function(item, target, attacker)
		target:giveHP(target:getStat('maxHP'))
		target:giveMP(target:getStat('maxMP'))
	end;
};
{ name="Fenix Down"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=170; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=500;
	onUse = function(item, target, attacker)
		-- raise the dead please
	end;
};
{ name="Revivify"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=170; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=300; };
{ name="Antidote"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=32; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=50; };
{ name="Eyedrop"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=32; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=50; };
{ name="Soft"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=32; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=200; };
{ name="Remedy"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=32; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=72; elemNoEffectFlags=0; elemWeakFlags=0; price=1000; };
{ name="Sleeping Bag"; equipFlags=0; itemType=7; canThrow=false; useInBattle=false; useInMenu=true; byte13Flags=184; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=128; price=500; };
{ name="Tent"; equipFlags=0; itemType=7; canThrow=false; useInBattle=false; useInMenu=true; byte13Flags=184; targetFlags=0; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=128; price=1200; };
{ name="Green Cherry"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=32; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=150; };
{ name="Magicite"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=false; byte13Flags=64; targetFlags=67; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=2; };
{ name="Super Ball"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=false; byte13Flags=64; targetFlags=110; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=10000; };
{ name="Echo Screen"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=32; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=8; elemNoEffectFlags=0; elemWeakFlags=0; price=120; };
{ name="Smoke Bomb"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=false; targetFlags=46; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=300; };
{ name="Warp Stone"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; targetFlags=46; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=700; };
{ name="Dried Meat"; equipFlags=0; itemType=7; canThrow=false; useInBattle=true; useInMenu=true; byte13Flags=8; targetFlags=1; vigor=0; speed=0; stamina=0; magicAttack=0; evade=0; magicEvade=0; elemHalfFlags=0; elemAbsorbFlags=0; elemNoEffectFlags=0; elemWeakFlags=0; price=150;
	onUse = function(item, target, attacker)
		target:giveHP(150)
	end;
};
};

itemIndexFromName = {}
for index,item in ipairs(items) do
	itemIndexFromName[item.name] = index
end

